CS-Cart 2.0.5 - 'reward_points.post.php' SQL Injection Vulnerability

2009-08-04T00:00:00
ID EDB-ID:33146
Type exploitdb
Reporter Ryan Dewhurst
Modified 2009-08-04T00:00:00

Description

CS-Cart 2.0.5 'reward_points.post.php' SQL Injection Vulnerability. CVE-2009-2579. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/35936/info

CS-Cart is prone to an SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied data before using it in an SQL query.

Exploiting this issue could allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

Versions prior to CS-Cart 2.0.6 are vulnerable. 

The following example URI is available:

http://www.example.com/index.php?dispatch=reward_points.userlog&result_ids=pagination_contents&sort_by=timestamp&sort_order='